# DirectoryBuildCache

API Documentation: | `DirectoryBuildCache`

Note: This class is incubating and may change in a future version of Gradle.

Configuration object for the local directory build cache.

### Properties

Property | Description
`directory` | Incubating The directory to use to store the build cache.
`enabled` | Incubating Whether the build cache is enabled.
`push` | Incubating Whether pushing to the build cache is enabled.
`targetSizeInMB` | Incubating The target size of the build cache in megabytes. Defaults to 5 GB.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `Object` `directory`

Note: This property is incubating and may change in a future version of Gradle.

The directory to use to store the build cache.

#### `boolean` `enabled`

Note: This property is incubating and may change in a future version of Gradle.

Whether the build cache is enabled.

#### `boolean` `push`

Note: This property is incubating and may change in a future version of Gradle.

Whether pushing to the build cache is enabled.

#### `long` `targetSizeInMB`

Note: This property is incubating and may change in a future version of Gradle.

The target size of the build cache in megabytes. Defaults to 5 GB.

Must be greater than or equal to 1, although larger cache sizes will be more useful.